<?php

declare(strict_types = 1);

namespace Drupal\musica\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\musica\Service\SoundCloud as SoundCloudService;
use Symfony\Component\DependencyInjection\ContainerInterface;

final class SoundCloud extends ControllerBase {

  protected SoundCloudService $soundCloud;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    $instance = parent::create($container);
    $instance->soundCloud = $container->get('musica.soundcloud');
    return $instance;
  }

  public function test() {
    $token = $this->soundCloud->getToken();
    return [
      '#type' => 'markup',
      '#markup' => 'Current token is ' . $token,
    ];
  }

}
